import { Component } from '@angular/core';
import { NavController } from '@ionic/angular';
import { Router } from '@angular/router';

@Component({
  selector: 'app-appointment',
  templateUrl: './appointment.page.html',
  styleUrls: ['./appointment.page.scss'],
})
export class AppointmentPage {
  // 初始化 selectedService 属性
  selectedService: string = '';

  constructor(private navCtrl: NavController,private router: Router) {}

  onServiceChange(event: any) {
    console.log('Selected service:', event.detail.value);
  }

  makeAppointment() {
    // 这里可以添加实际的预约逻辑
    if (this.selectedService === 'service2') {
      // 导航到 tab2 页面
      this.router.navigate(['/tabs/tab2']);
    } else {
      // 处理其他服务类型的逻辑
      alert('您选择了其他服务类型，请完成相关信息填写。');
    }

    console.log('Making appointment for service:', this.selectedService);
    // 你可以在这里进行导航或显示成功消息等
  }
}